Loading...
Searching...
No Matches
QGpgME::QGpgMEChangeExpiryJob Class Reference
Inheritance diagram for QGpgME::QGpgMEChangeExpiryJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEChangeExpiryJob:
[legend]

## Public Member Functions

| QGpgMEChangeExpiryJob (GpgME::Context *context)
GpgME::Error | start (const GpgME::Key &key, const QDateTime &expiry) override
GpgME::Error | start (const GpgME::Key &key, const QDateTime &expiry, const std::vector< GpgME::Subkey > &subkeys) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< ChangeExpiryJob, QGpgMEChangeExpiryJobPrivate >
void | run ()
Public Member Functions inherited from QGpgME::ChangeExpiryJob
void | setOptions (Options options)
Options | options () const
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< ChangeExpiryJob, QGpgMEChangeExpiryJobPrivate >
typedef ThreadedJobMixin< ChangeExpiryJob, QGpgMEChangeExpiryJobPrivate, std::tuple< GpgME::Error, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::Error, QString, GpgME::Error > | result_type
Public Types inherited from QGpgME::ChangeExpiryJob
enum | Option { Default = 0x00 , UpdatePrimaryKey = 0x01 , UpdateAllSubkeys = 0x02 }
Signals inherited from QGpgME::ChangeExpiryJob
void | result (const GpgME::Error &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< ChangeExpiryJob, QGpgMEChangeExpiryJobPrivate >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::ChangeExpiryJob
| ChangeExpiryJob (std::unique_ptr< ChangeExpiryJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## start() [1/2]

GpgME::Error QGpgME::QGpgMEChangeExpiryJob::start | ( | const GpgME::Key & | key,
|  | const QDateTime & | expiry )

override virtual

Starts the change-expiry operation. key is the key to change the expiry of. expiry is the new expiry time. If expiry is not valid, key is set to never expire.

Implements QGpgME::ChangeExpiryJob.

## start() [2/2]

GpgME::Error QGpgME::QGpgMEChangeExpiryJob::start | ( | const GpgME::Key & | key,
|  | const QDateTime & | expiry,
|  | const std::vector< GpgME::Subkey > & | subkeys )

override virtual

Starts the change-expiry operation. key is the key to change, subkeys is a list of subkeys of the key, and expiry is the new expiry time. If subkeys is empty, then the expiry of key is changed. Otherwise, the expiry of subkeys is changed. If expiry is not valid, then key or subkeys are set to never expire.

Reimplemented from QGpgME::ChangeExpiryJob.

The documentation for this class was generated from the following files:

- qgpgmechangeexpiryjob.h
- qgpgmechangeexpiryjob.cpp